#
# spec file for package python-texttable
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define upstream_name texttable
Name:           python-texttable
Version:        0.8.3
Release:        11.2
Summary:        Module for creating simple ASCII tables
License:        LGPL-3.0+
Group:          Development/Languages/Python
Url:            http://foutaise.org/code
Source0:        %{upstream_name}-%{version}.tar.gz
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Texttable is a module to generate a formatted text table, using ASCII
characters.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/%{upstream_name}.py*
%{python_sitelib}/%{upstream_name}-%{version}*egg-info

%changelog
* Tue Aug 18 2015 jmassaguerpla@suse.com
- fix license to LGPL-3.0+ as in LICENSE file
* Thu Apr  9 2015 fcastelli@suse.com
- Updated to version 0.8.3
* Thu Aug 14 2014 fcastelli@suse.com
- Initial package for version 0.8.1
